<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:outline="http://wkhtmltopdf.org/outline"
                xmlns="http://www.w3.org/1999/xhtml">
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitiona
l.dtd"
                indent="yes" />
    <xsl:template match="outline:outline">
        <html>
            <head>
                <!-- <title>Table of Contents</title> -->
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <style>
                    body {
                      font-family: Arial, sans-serif;
                      line-height: 1.5;
                    }
                    a {
                      display: block;
                      width: 100%;
                      margin-bottom: 1px;
                      border-bottom: 1px dashed #333;
                    }
                    span.number {
                      float: right;
                    }
                    li {
                      list-style: none;
                    }
                    ul {
                      padding-left: 0em;
                    }
                    ul ul {
                      padding-left: 2em;
                    }
                    a {text-decoration:none; color: black;}
                    .description {font-style: italic;}
                </style>
            </head>
            <body>
                <h1>${TITLE}</h1>
                <p class="description">${DESC}</p>
                <ul><xsl:apply-templates select="outline:item/outline:item"/></ul>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="outline:item">
        <li>
            <xsl:if test="@title!=''">
                <a>
                    <xsl:if test="@link">
                        <xsl:attribute name="href"><xsl:value-of select="@link"/></xsl:attribute>
                    </xsl:if>
                    <xsl:if test="@backLink">
                        <xsl:attribute name="name"><xsl:value-of select="@backLink"/></xsl:attribute>
                    </xsl:if>
                    <span class="title">
                        <xsl:value-of select="@title" />
                    </span>
                    <span class="number"> <xsl:value-of select="@page" /> </span>
                </a>
            </xsl:if>
            <ul>
                <xsl:comment>added to prevent self-closing tags in QtXmlPatterns</xsl:comment>
                <xsl:apply-templates select="outline:item"/>
            </ul>
        </li>
    </xsl:template>
</xsl:stylesheet>
